Tkinter y├╝kleyemiyorm (NixOS)

Python projelerimde tkinter kullan─▒yorum ancak pip komutu ├žal─▒┼čmad─▒─č─▒ndan configle y├╝klemek zorunda kal─▒yorum ama bir t├╝rl├╝ y├╝kleyemedim.

Python paketlerim;

 environment.systemPackages = with pkgs; [
    (python3.pkgs.pip)
    (python311.withPackages(ps: with ps; [ numpy toolz requests tkinter ]))
    python3
    pypy3
];

Neden y├╝kleyemediniz? Ayar dosyan─▒za paketleri ekledikten sonra rebuild etti─činizde bir hata m─▒ veriyor?

yok hata vermiyor program─▒ ├žal─▒┼čt─▒rd─▒─č─▒mda paketi g├Ârm├╝yor

NixOSÔÇÖi aktif kullanmad─▒─č─▒m i├žin bilemiyorum. Belki venv kullanarak belirledi─činiz bir klas├Ârde ortam yaratabilirsiniz sistem paketlerine g├╝venmek yerine. NixOS kullanan arkada┼člar belki daha do─čru cevap verebilirler.

MaalesefÔÇŽ bir ├žok problemim ├ž├Âz├╝lemedi

Problemi ├ž├Âzd├╝m tek yapman─▒z gereken t├╝m python versiyonlar─▒ silip sonra python3Full paketini indirmek. Normlade bir ├žok python paketini bulundurur ama e─čer ihtiyac─▒n─▒z olan paketler yoksa

(python3Full.withPackages(ps: with ps; [ ]))

┼čeklinde confige y├╝kleyebilirsiniz. ├ľrne─čin tkinter indi ama PyQt paketide laz─▒md─▒ o y├╝zden;

(python3Full.withPackages(ps: with ps; [ pyqt5 pyqt5-webengine ]))

┼čeklinde d├╝zenledim

3 Likes